function [ y ] = UpdateTent(x)
% Updates value of an iterative tent map. 
%Output y is the updated value based on the input x estimated using the function f1 or f2 below depending on the conditions
% f1 = inline('2*x');
% f2 = inline('2-2*x');
%
%
%
% Aditi Kathpalia, Nithin Nagaraj, NIAS, October 2017

x = double(x);
f1 = inline('x/0.49999');
f2 = inline('(1-x)/(1-0.49999)');


if x < 0.49999
   y = f1(x); 
else
    y = f2(x);
end
end