function [ y1c, y1b, y1a ] = coupled_AR_3processes( LEN )
%Generates coupled AR processes
% Inputs - 
%   Take the length of the series as input LEN
%Outputs-
%   y1c - dependent AR process
%   y1b - dependent AR process
%   y1a - independent AR(1) process 
%
%
%

%Parameters for addition of noise/asynchronous measurements
%
neu=0.03;           %Intensity of noise - change the value to change the level of noise in y1a and y1b

%coefficients of the process
phi_0 = 0;          %mean of the process is zero 
phi_1_a = 0.8;
phi_1_b =0.9;
phi_1_cause_b = 0.8;
phi_1_cause_c = 0.4;

%Generate additive noise
gamma = randn(LEN,1); 
gamma2 = randn(LEN,1);
gamma3 = randn(LEN,1);


y1a=zeros(LEN,1);
y1a(1)=rand(1,1);
I=2;
while I<=LEN;
   y1a(I)=y1a(I-1)*phi_1_a+neu*gamma(I);
   I=I+1;
end;

y1b=zeros(LEN,1);
y1b(1:100,:)=rand(100,1);
I=101;
while I<=LEN;
            y1b(I)=y1b(I-1)*phi_1_b+y1a(I-100)*phi_1_cause_b+neu*gamma2(I);
            I=I+1;
end;

y1c=zeros(LEN,1);
y1c(1:100)=rand(100,1);
I=101;
while I<=LEN;
            y1c(I)=y1c(I-1)*phi_1_b+y1a(I-100)*phi_1_cause_c+neu*gamma3(I);
            I=I+1;
end;


end
