% To check if "Y causes X" using Compression Complexity Causality
%
%
%
% Aditi Kathpalia, Nithin Nagaraj, NIAS, October 2018



close all;clear all;

processtype='AR';         %Choose the kind of process to simulate
N=1000;                   %Length of series X, Y
EPS=0.3;                  %Degree of coupling for tent maps


%Input parameters for CCC estimation
INFO_CCC=struct('L',150,'w',15,'delta',80,'B',2,'N',N);   %L=Past window size, w=current window size, delta=Jump step size for each window, B= no. of bins
                                                           %Use L=100, w=15, delta=80, B=8 for tent maps
                                                           
switch processtype
    case 'AR'
        [X, Y] = coupled_AR(N);  % Y causes X,  coupled AR(1) processes
    case 'tent'
        [X, Y] = coupled_tent(N,EPS);  % Y causes X, coupled Tent maps
    otherwise
        disp('Valid process type not chosen')
end

if size(X,2)~=1 || size(Y,2)~=1
    
   disp('Given series are not column vectors');
else
       
    [CCC_value,k]=conditional_CCC([X';Y'],2,1,INFO_CCC);        %To estimate CCC value from Y(variable 2) -> X (variable 1), call CCC function
                                            %k is the no. of times difference of dynamical complexities is estimated from the series     

end


